# MultiExtractiveSummarizer

MultiExtractiveSummarizer is a Python package for extractive text summarization using various embeddings and summarization methods. It provides flexibility to choose different word embeddings (e.g., TF-IDF, Doc2Vec, GloVe, Sentence-BERT) and summarization algorithms (e.g., TextRank, LexRank, LSA, K-Means clustering) to generate concise summaries from text documents.

## Features

- Support for multiple word embeddings including TF-IDF, Doc2Vec, GloVe, and Sentence-BERT.
- Implementations of various extractive summarization algorithms such as TextRank, LexRank, LSA, and K-Means clustering.
- Easy-to-use API for integrating summarization capabilities into your Python applications.
- Customizable summarization parameters like number of sentences, ratio of summary length, and clustering parameters.

## Installation

You can install MultiExtractiveSummarizer from PyPI using pip:

```bash
pip install MultiExtractiveSummarizer
